Bug 751415 - Get rid of rwlock.h/rwlock.c and just use slapi_rwlock instead
Summary: Get rid of rwlock.h/rwlock.c and just use slapi_rwlock instead
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: 389
Classification: Retired
Component: Performance
Version: 1.2.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.10 781545
TreeView+ depends on / blocked
 
Reported: 2011-11-04 16:31 UTC by Rich Megginson
Modified: 2015-01-04 23:51 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.a7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 781545 (view as bug list)
Environment:
Last Closed: 2012-02-07 16:14:39 UTC


Attachments (Terms of Use)

Description Rich Megginson 2011-11-04 16:31:20 UTC
Someone a very long time ago decided it would be a good idea to have rw locks and implemented them using regular mutexes and condition variables.  I suspect this performs much worse than native pthread rwlocks.  Now that we have native platform support for rwlocks we should use them.

Comment 1 Martin Kosek 2012-01-04 13:13:27 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/15

Comment 2 Rich Megginson 2012-01-10 17:59:13 UTC
marking as screened because it has been cloned upstream

Comment 3 Rich Megginson 2012-02-07 16:14:39 UTC
Fixed in version 1.2.10.a7


Note You need to log in before you can comment on or make changes to this bug.